Changeset 247


Ignore:
Timestamp:
06/11/2008 22:02:44 (4 years ago)
Author:
mattea
Message:

Fixing bad clean exits

File:
1 edited

Legend:

Unmodified
Added
Removed
  • tags/confman-1.7/confman

    r245 r247  
    2222fi 
    2323 
    24 trap "conf_cleanExit" EXIT 
    2524# Set a default editor 
    2625if [ -z ${EDITOR} ] ; then 
     
    6362                echo "Setup failed." >&4 
    6463                conf_unlock_wcopy 
    65                 exit 1 
     64                return 1 
    6665            fi 
    6766        else 
     
    940939    then 
    941940        echo "Could not fetch the tarball." >&2 
    942         exit 1 
     941        return 1 
    943942    fi 
    944943 
     
    979978    do 
    980979        local livefile="$tmproot${file}" 
    981         local tmpfile=`${mktemp_file}` || exit 1 
     980        local tmpfile=`${mktemp_file}` || return 1 
    982981        local owner group mode flag livepart msg 
    983982        for layer in $LAYERS ; do 
     
    10301029subcommand=$1 
    10311030shift 
     1031trap "conf_cleanExit" EXIT 
    10321032case $subcommand in 
    1033     help )                          print_help "$@" ; exit 0 ;; 
     1033    help )                          print_help "$@" ; trap EXIT; exit 0 ;; 
    10341034    setup|se* )                     setup "$@" ;; 
    10351035    status )                        status "$@" ;; 
Note: See TracChangeset for help on using the changeset viewer.